// Code goes here
(function() {
  var app = angular.module("mainModule", []);
  var dataController = function($scope, $http) {

    var onDataComplete = function(response) {
      $scope.data = response.data;
    };

    var onError = function(reason) {
      //We can dig into the reason to get more details
      $scope.error = "Something is wrong with the request! Could not get the data"
    };

    //What happens if the irl is incorrect?
    $http.get("http://api.geonames.org/citiesJSON?north=44.1&south=-9.9&east=-22.4&west=55.2&lang=de&username=demo")
         .then(onDataComplete, onError);
  };
  
  app.controller("dataController", ["$scope", "$http", dataController]);
  
}());